// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: regulatormodule/regulatormodule.proto

package openfmb.regulatormodule;

/**
 * <pre>
 * Regulator event
 * </pre>
 *
 * Protobuf type {@code regulatormodule.RegulatorEvent}
 */
public final class RegulatorEvent extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:regulatormodule.RegulatorEvent)
    RegulatorEventOrBuilder {
private static final long serialVersionUID = 0L;
  // Use RegulatorEvent.newBuilder() to construct.
  private RegulatorEvent(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private RegulatorEvent() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new RegulatorEvent();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEvent_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEvent_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.regulatormodule.RegulatorEvent.class, openfmb.regulatormodule.RegulatorEvent.Builder.class);
  }

  public static final int EVENTVALUE_FIELD_NUMBER = 1;
  private openfmb.commonmodule.EventValue eventValue_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eventValue field is set.
   */
  @java.lang.Override
  public boolean hasEventValue() {
    return eventValue_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eventValue.
   */
  @java.lang.Override
  public openfmb.commonmodule.EventValue getEventValue() {
    return eventValue_ == null ? openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.EventValueOrBuilder getEventValueOrBuilder() {
    return eventValue_ == null ? openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
  }

  public static final int REGULATOREVENTANDSTATUSANCR_FIELD_NUMBER = 2;
  private openfmb.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
   * @return Whether the regulatorEventAndStatusANCR field is set.
   */
  @java.lang.Override
  public boolean hasRegulatorEventAndStatusANCR() {
    return regulatorEventAndStatusANCR_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
   * @return The regulatorEventAndStatusANCR.
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorEventAndStatusANCR getRegulatorEventAndStatusANCR() {
    return regulatorEventAndStatusANCR_ == null ? openfmb.regulatormodule.RegulatorEventAndStatusANCR.getDefaultInstance() : regulatorEventAndStatusANCR_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
   */
  @java.lang.Override
  public openfmb.regulatormodule.RegulatorEventAndStatusANCROrBuilder getRegulatorEventAndStatusANCROrBuilder() {
    return regulatorEventAndStatusANCR_ == null ? openfmb.regulatormodule.RegulatorEventAndStatusANCR.getDefaultInstance() : regulatorEventAndStatusANCR_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (eventValue_ != null) {
      output.writeMessage(1, getEventValue());
    }
    if (regulatorEventAndStatusANCR_ != null) {
      output.writeMessage(2, getRegulatorEventAndStatusANCR());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (eventValue_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getEventValue());
    }
    if (regulatorEventAndStatusANCR_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getRegulatorEventAndStatusANCR());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.regulatormodule.RegulatorEvent)) {
      return super.equals(obj);
    }
    openfmb.regulatormodule.RegulatorEvent other = (openfmb.regulatormodule.RegulatorEvent) obj;

    if (hasEventValue() != other.hasEventValue()) return false;
    if (hasEventValue()) {
      if (!getEventValue()
          .equals(other.getEventValue())) return false;
    }
    if (hasRegulatorEventAndStatusANCR() != other.hasRegulatorEventAndStatusANCR()) return false;
    if (hasRegulatorEventAndStatusANCR()) {
      if (!getRegulatorEventAndStatusANCR()
          .equals(other.getRegulatorEventAndStatusANCR())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasEventValue()) {
      hash = (37 * hash) + EVENTVALUE_FIELD_NUMBER;
      hash = (53 * hash) + getEventValue().hashCode();
    }
    if (hasRegulatorEventAndStatusANCR()) {
      hash = (37 * hash) + REGULATOREVENTANDSTATUSANCR_FIELD_NUMBER;
      hash = (53 * hash) + getRegulatorEventAndStatusANCR().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.regulatormodule.RegulatorEvent parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.regulatormodule.RegulatorEvent prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Regulator event
   * </pre>
   *
   * Protobuf type {@code regulatormodule.RegulatorEvent}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:regulatormodule.RegulatorEvent)
      openfmb.regulatormodule.RegulatorEventOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEvent_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEvent_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.regulatormodule.RegulatorEvent.class, openfmb.regulatormodule.RegulatorEvent.Builder.class);
    }

    // Construct using openfmb.regulatormodule.RegulatorEvent.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      eventValue_ = null;
      if (eventValueBuilder_ != null) {
        eventValueBuilder_.dispose();
        eventValueBuilder_ = null;
      }
      regulatorEventAndStatusANCR_ = null;
      if (regulatorEventAndStatusANCRBuilder_ != null) {
        regulatorEventAndStatusANCRBuilder_.dispose();
        regulatorEventAndStatusANCRBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.regulatormodule.Regulatormodule.internal_static_regulatormodule_RegulatorEvent_descriptor;
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorEvent getDefaultInstanceForType() {
      return openfmb.regulatormodule.RegulatorEvent.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorEvent build() {
      openfmb.regulatormodule.RegulatorEvent result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.regulatormodule.RegulatorEvent buildPartial() {
      openfmb.regulatormodule.RegulatorEvent result = new openfmb.regulatormodule.RegulatorEvent(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.regulatormodule.RegulatorEvent result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.eventValue_ = eventValueBuilder_ == null
            ? eventValue_
            : eventValueBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.regulatorEventAndStatusANCR_ = regulatorEventAndStatusANCRBuilder_ == null
            ? regulatorEventAndStatusANCR_
            : regulatorEventAndStatusANCRBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.regulatormodule.RegulatorEvent) {
        return mergeFrom((openfmb.regulatormodule.RegulatorEvent)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.regulatormodule.RegulatorEvent other) {
      if (other == openfmb.regulatormodule.RegulatorEvent.getDefaultInstance()) return this;
      if (other.hasEventValue()) {
        mergeEventValue(other.getEventValue());
      }
      if (other.hasRegulatorEventAndStatusANCR()) {
        mergeRegulatorEventAndStatusANCR(other.getRegulatorEventAndStatusANCR());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getEventValueFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getRegulatorEventAndStatusANCRFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.EventValue eventValue_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventValue, openfmb.commonmodule.EventValue.Builder, openfmb.commonmodule.EventValueOrBuilder> eventValueBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the eventValue field is set.
     */
    public boolean hasEventValue() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     * @return The eventValue.
     */
    public openfmb.commonmodule.EventValue getEventValue() {
      if (eventValueBuilder_ == null) {
        return eventValue_ == null ? openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
      } else {
        return eventValueBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventValue(openfmb.commonmodule.EventValue value) {
      if (eventValueBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        eventValue_ = value;
      } else {
        eventValueBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventValue(
        openfmb.commonmodule.EventValue.Builder builderForValue) {
      if (eventValueBuilder_ == null) {
        eventValue_ = builderForValue.build();
      } else {
        eventValueBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeEventValue(openfmb.commonmodule.EventValue value) {
      if (eventValueBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          eventValue_ != null &&
          eventValue_ != openfmb.commonmodule.EventValue.getDefaultInstance()) {
          getEventValueBuilder().mergeFrom(value);
        } else {
          eventValue_ = value;
        }
      } else {
        eventValueBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearEventValue() {
      bitField0_ = (bitField0_ & ~0x00000001);
      eventValue_ = null;
      if (eventValueBuilder_ != null) {
        eventValueBuilder_.dispose();
        eventValueBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventValue.Builder getEventValueBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getEventValueFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventValueOrBuilder getEventValueOrBuilder() {
      if (eventValueBuilder_ != null) {
        return eventValueBuilder_.getMessageOrBuilder();
      } else {
        return eventValue_ == null ?
            openfmb.commonmodule.EventValue.getDefaultInstance() : eventValue_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventValue eventValue = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventValue, openfmb.commonmodule.EventValue.Builder, openfmb.commonmodule.EventValueOrBuilder> 
        getEventValueFieldBuilder() {
      if (eventValueBuilder_ == null) {
        eventValueBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.EventValue, openfmb.commonmodule.EventValue.Builder, openfmb.commonmodule.EventValueOrBuilder>(
                getEventValue(),
                getParentForChildren(),
                isClean());
        eventValue_ = null;
      }
      return eventValueBuilder_;
    }

    private openfmb.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorEventAndStatusANCR, openfmb.regulatormodule.RegulatorEventAndStatusANCR.Builder, openfmb.regulatormodule.RegulatorEventAndStatusANCROrBuilder> regulatorEventAndStatusANCRBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     * @return Whether the regulatorEventAndStatusANCR field is set.
     */
    public boolean hasRegulatorEventAndStatusANCR() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     * @return The regulatorEventAndStatusANCR.
     */
    public openfmb.regulatormodule.RegulatorEventAndStatusANCR getRegulatorEventAndStatusANCR() {
      if (regulatorEventAndStatusANCRBuilder_ == null) {
        return regulatorEventAndStatusANCR_ == null ? openfmb.regulatormodule.RegulatorEventAndStatusANCR.getDefaultInstance() : regulatorEventAndStatusANCR_;
      } else {
        return regulatorEventAndStatusANCRBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     */
    public Builder setRegulatorEventAndStatusANCR(openfmb.regulatormodule.RegulatorEventAndStatusANCR value) {
      if (regulatorEventAndStatusANCRBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        regulatorEventAndStatusANCR_ = value;
      } else {
        regulatorEventAndStatusANCRBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     */
    public Builder setRegulatorEventAndStatusANCR(
        openfmb.regulatormodule.RegulatorEventAndStatusANCR.Builder builderForValue) {
      if (regulatorEventAndStatusANCRBuilder_ == null) {
        regulatorEventAndStatusANCR_ = builderForValue.build();
      } else {
        regulatorEventAndStatusANCRBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     */
    public Builder mergeRegulatorEventAndStatusANCR(openfmb.regulatormodule.RegulatorEventAndStatusANCR value) {
      if (regulatorEventAndStatusANCRBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          regulatorEventAndStatusANCR_ != null &&
          regulatorEventAndStatusANCR_ != openfmb.regulatormodule.RegulatorEventAndStatusANCR.getDefaultInstance()) {
          getRegulatorEventAndStatusANCRBuilder().mergeFrom(value);
        } else {
          regulatorEventAndStatusANCR_ = value;
        }
      } else {
        regulatorEventAndStatusANCRBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     */
    public Builder clearRegulatorEventAndStatusANCR() {
      bitField0_ = (bitField0_ & ~0x00000002);
      regulatorEventAndStatusANCR_ = null;
      if (regulatorEventAndStatusANCRBuilder_ != null) {
        regulatorEventAndStatusANCRBuilder_.dispose();
        regulatorEventAndStatusANCRBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     */
    public openfmb.regulatormodule.RegulatorEventAndStatusANCR.Builder getRegulatorEventAndStatusANCRBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getRegulatorEventAndStatusANCRFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     */
    public openfmb.regulatormodule.RegulatorEventAndStatusANCROrBuilder getRegulatorEventAndStatusANCROrBuilder() {
      if (regulatorEventAndStatusANCRBuilder_ != null) {
        return regulatorEventAndStatusANCRBuilder_.getMessageOrBuilder();
      } else {
        return regulatorEventAndStatusANCR_ == null ?
            openfmb.regulatormodule.RegulatorEventAndStatusANCR.getDefaultInstance() : regulatorEventAndStatusANCR_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.regulatormodule.RegulatorEventAndStatusANCR regulatorEventAndStatusANCR = 2;</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.regulatormodule.RegulatorEventAndStatusANCR, openfmb.regulatormodule.RegulatorEventAndStatusANCR.Builder, openfmb.regulatormodule.RegulatorEventAndStatusANCROrBuilder> 
        getRegulatorEventAndStatusANCRFieldBuilder() {
      if (regulatorEventAndStatusANCRBuilder_ == null) {
        regulatorEventAndStatusANCRBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.regulatormodule.RegulatorEventAndStatusANCR, openfmb.regulatormodule.RegulatorEventAndStatusANCR.Builder, openfmb.regulatormodule.RegulatorEventAndStatusANCROrBuilder>(
                getRegulatorEventAndStatusANCR(),
                getParentForChildren(),
                isClean());
        regulatorEventAndStatusANCR_ = null;
      }
      return regulatorEventAndStatusANCRBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:regulatormodule.RegulatorEvent)
  }

  // @@protoc_insertion_point(class_scope:regulatormodule.RegulatorEvent)
  private static final openfmb.regulatormodule.RegulatorEvent DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.regulatormodule.RegulatorEvent();
  }

  public static openfmb.regulatormodule.RegulatorEvent getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<RegulatorEvent>
      PARSER = new com.google.protobuf.AbstractParser<RegulatorEvent>() {
    @java.lang.Override
    public RegulatorEvent parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<RegulatorEvent> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<RegulatorEvent> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.regulatormodule.RegulatorEvent getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

